Skip to main content
GET
/
api
/
v1
/
test-runs
/
{runId}
/
screenshots
/
{stepNumber}
Get step screenshots
curl --request GET \
  --url https://api.getdecipher.com/api/v1/test-runs/{runId}/screenshots/{stepNumber} \
  --header 'Authorization: Bearer <token>'
{
  "object": "stepScreenshots",
  "runId": 123,
  "stepNumber": 123,
  "stepDescription": "<string>",
  "screenshots": {
    "before": "<string>",
    "after": "<string>"
  },
  "expiresAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getdecipher.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Use your Decipher API key as the bearer token.

Path Parameters

runId
string
required

The ID of the test run

Example:

"12345"

stepNumber
string
required

The step number

Example:

"3"

Response

Step screenshots with signed URLs

object
enum<string>
required
Available options:
stepScreenshots
runId
number
required
stepNumber
number
required
stepDescription
string
required
screenshots
object
required
expiresAt
string
required